var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class QueueNotify extends APIBase {
    constructor() {
        super();
        this.baseOrderSve = system.getObject("service.common.baseCenterOrderSve");
    }
    /**
      * 接口跳转-POST请求
      * action_process  执行的流程
      * action_type     执行的类型
      * action_body     执行的参数
      */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = await this.opActionProcess(pobj, pobj.actionType, req);
        return result;
    }
    async opActionProcess(pobj, action_type, req) {
        var opResult = null;
        switch (action_type) {
            // --------- 推送icp信息至渠道和作方 zhuangbing-20201116--------
            case "pushIcpSolution2Channel"://推送ICP方案至渠道（百度）
                opResult = await this.baseOrderSve.pushIcpSolution2Channel(pobj);
                break;
            case "serviceProviderSubmit2Material"://推送资料至渠道（百度）
                opResult = await this.baseOrderSve.serviceProviderSubmit2Material(pobj);
                break;
            case "serviceProvider2Notification"://推送通知状态至渠道（百度）
                opResult = await this.baseOrderSve.serviceProvider2Notification(pobj);
                break;
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }

}
module.exports = QueueNotify;