<a name="menu" href="/doc">返回主目录</a>

1. [pc端订单支付二维码生成](#getOrderQrCode)
1. [pc端查询订单是否支付成功](#getOrderQrCode)
1. [获取H5支付链接](#getH5PayUrl)
1. [获取支付记录](#getPayRecords)

## **<a name="getOrderQrCode"> pc端订单支付二维码生成</a>**
[返回到目录](#menu)
##### URL
[/web/payment/paymentApi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getOrderQrCode
``` javascript
    {
        "orderNo": "TM22202008042050Pmex",//订单号
        "opType": "wx"//　支付方式 　alipay阿里　　wx微信
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "payinfo": "https://syb.allinpay.com/apiweb/h5unionpay/native?key=BMFvrMDcrqzLnJ04YV%2B02uX0",
            "reqsn": "qftTM22202008042050Pmex_22",
            "chnltrxid": "122005790000133940",
            "trxid": "122005790000133940",
            "trxstatus": "0000",
            "notify_url": "https://igirl.gongsibao.com/api/tl/zxNotify"
        },
        "requestId": "07dedd4ffd4441dcac54c6d8a0f91653",
        "wxPayOrderCode": "122005790000133596",
        "aliPayOrderCode": "TM22202008042050Pmex"
    }
```

## **<a name="queryOrderStatus"> pc端查询订单是否支付成功</a>**
[返回到目录](#menu)
##### URL
[/web/payment/paymentApi/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：queryOrderStatus
``` javascript
    {
        "orderNo": "TM22202008042050Pmex",//订单号
        "opType": "wx"//　支付方式 　alipay阿里　　wx微信
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，否则失败
        "msg": "success",
        "data": null,
        "requestId": "07dedd4ffd4441dcac54c6d8a0f91653"
    }
```

## **<a name="getH5PayUrl"> 获取H5支付链接</a>**
[返回到目录](#menu)
##### URL
[/web/payment/paymentApi/springBoard]
#### 参数格式  `JSON`人
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getH5PayUrl

``` javascript
{
	"orderNo":"OT26202002151649kPgs"
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "payUrl": "https://syb.allinpay.com/apiweb/h5unionpay/unionorder?appid=00172286&body=%E5%95%86%E6%A0%87%E6%B3%A8%E5%86%8C%E3%80%90%E4%B8%93%E5%AE%B6%E8%BE%85%E5%8A%A9%E7%94%B3%E8%AF%B7%E3%80%91&charset=UTF-8&cusid=560595073992Z6G&notify_url=http%3A%2F%2Fgsb.qifu.gongsibao.com%3A4012%2Ftlpay%2Fnotify&randomstr=1581758584924&remark=h5paypagesywdy&reqsn=OT26202002151649kPgs&returl=http%3A%2F%2Fgsb.qifu.gongsibao.com%3A4012%2Ftlpay%2Fnotify&sign=439FA9F49D365DC32FE1CA712F5AD848&trxamt=69900&version=12", // H5支付链接
    "requestId": "ac22e84d8ebc4df09629c0aff2bb1fe9"
}

```


## **<a name="getPayRecords"> 获取支付记录</a>**
[返回到目录](#menu)
##### URL
[/web/payment/paymentApi/springBoard]
#### 参数格式  `JSON`人
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getPayRecords

``` javascript
{}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "orderNo": "OT38202009210844xFni",//订单号
            "productName": "公司注册（北京市）",//产品名称
            "totalSum": "0.01", //金额
            "directionType": "sr",//凭单类型,"sr": "收","zc": "支"
            "payTime": "2020-09-21T00:44:27.000Z"//支付时间
        },
        {
            "orderNo": "OT382020092111563TOs",
            "productName": "公司注册（北京市）",
            "totalSum": "0.01",
            "directionType": "sr",
            "payTime": "2020-09-21T03:57:09.000Z"
        },
        {
            "orderNo": "OT382020092114549S55",
            "productName": "公司注册（北京市）",
            "totalSum": "0.01",
            "directionType": "sr",
            "payTime": "2020-09-21T06:55:07.000Z"
        }
    ],
    "requestId": "57144de54ea54e3abbaedd1512c34950"
}

```
