<a name="menu" href="/doc">返回主目录</a>
1. [创建驳回复审订单](#addorder)
1. [提交复审清单](#addReviewList)
1. [商标驳回列表 模糊查询](#getReOrderList)
1. [官文列表](#getOfficalList)
1. [根据驳回通知书获取相关内容](#getPDFInfo)
1. [合成事实与理由文件模板 docx](#composeDocAndDownload)
1. [合成委托申请书模板 docx](#getEntrustDoc)

## **<a name="addorder">创建驳回复审订单</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：addorder

``` javascript
    {
        "channelItemCode":"fzsbzc",// Y 产品的渠道编码
        "payCode": "fzsbzc-1", // Y 支付价格code
        "quantity":1,// Y 购买数量
        "totalSum":699,// Y 订单总金额
        "payTotalSum":699,    // Y 订单付款总金额     
        "notes": "订单备注信息",// N 订单备注
        "orderContact":{ // N 订单联系人信息，没有则填写{}
            "contacts": "宋毅",// N 联系人
            "mobile": "15010929368",// N 联系人电话
            "email": "songyi@gongsibao.com"// N 联系人邮箱                    
        },       
        "channelOrder":{// Y 渠道订单信息，没有则填写{}
            "channelServiceNo":"",// N 服务单号（即渠道服务单号）
            "channelOrderNo":"",// N 服务订单号（即渠道服务订单号，格式为： XX1,XX2）
            "needNo":"",// N 需求单号（即渠道需求单号）  
            "payTime":"",// N 渠道需求单号支付时间
            "orderStatus":1,// N 渠道需求单号支付支付状态 1: 待付款, 2: 已付款
            "channelParams":""// N 渠道参数（自定义参数）
        },
        "deliveryData":{//Y 交付单信息，没有则填写{}
            "apply": { //申请信息
                "askforId": "", //申请号
                "tradeImg": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg", //商标图样
                "tradeType": "02",//类别
                "applicantName": "xx公司", // 申请公司姓名
                "usccode": "", //统一信用代码
                "agentName": "testbiao" //代理机构
            },
            "applyUser": { //申请人信息 不填就为{}
                "applicantName": "xx公司", // 申请公司姓名
                "applicantType": "企业", // 申请人类型: 企业 个人
                "usccode": "", //统一信用代码
                "licenseAddr": "", // 营业执照地址
                "licenseDir": "", //营业执照url
                "duty": "", // 负责人职务
                "tel": "", // 联系人电话
                "addr": "", // 联系人地址
                "entrust": "", // 代理委托书
                "country": "", // 申请人国籍
                "dutyName": "", // 负责人姓名
                "contactsName": "", // 联系人姓名
                "email": "", // 联系人邮箱
                "mailCode": "" // 邮政编码
            },
            "trademarkRejInfo": { //商标驳回信息
                "noticeDate": "2017-01-01", // 收到通知书日期
                "noticeMode": "电子版", // 收到通知的方式: 电子版 纸质版
                "zhichanNumber": "", // 知识产权局发文号
                "rejNotice": "", // 商标驳回通知书
                "quotedTrademark": "" // 引证商标
            },
            "askForData": { //复审证据材料 不填就为{}
                "isNeedSup": 0, // 是否需要补充材料: 0 否 1 是
                "division": 0, // 是否分割
                "rrlb": " ", // 评审需求与法律依据
                "far": "", // 主要的事实与理由
                "farDir": "", // 事实与理由 文件
                "divisionDir": "", // 分割申请书
                "explain": "", // 其他有关说明文件
                "rmLicense": "", //与原代理解除关系声明书
                "evidenceDir": "", // 证据目录 文件
                "evidenceCon": "", // 证据内容 文件
                "evidenceSend": "", // 送达证据 文件
            },
            "supData": { //补充材料  没有为 {}
                "dir": "", // 补充证据目录
                "con": "", // 补充证据内容
            }
        }
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，否则失败
        "msg": "success",
        "data": {
            "orderNo": "OT26202002151649kPgs",//订单号
            "channelServiceNo": "OT26202002151649kPgs",//渠道服务单号
            "channelOrderNo"："OT26202002151649kPgs", //渠道订单号
            "channelParams": ""//渠道参数
        },
        "requestId": "2f90fad8108b4933bb97c3d978b0fe10"
    }
```


## **<a name="addReviewList"> 提交驳回申请单</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/tmReview/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：addReviewList

``` javascript
    {
        "orderNo":"TM22202007201510hzO7",
        "deliveryData": { //Y 交付单信息
            "apply": { //申请信息
                "askforId": "", //申请号
                "tradeImg": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg", //商标图样
                "tradeType": "02",//类别
                "applicantName": "xx公司", // 申请公司姓名
                "usccode": "", //统一信用代码
                "agentName": "testbiao" //代理机构
            },
            "applyUser": { //申请人信息
                "applicantName": "xx公司", // 申请公司姓名
                "applicantType": "企业", // 申请人类型: 企业 个人
                "usccode": "", //统一信用代码
                "licenseAddr": "", // 营业执照地址
                "licenseDir": "", //营业执照url
                "duty": "", // 负责人职务
                "tel": "", // 联系人电话
                "addr": "", // 联系人地址
                "entrust": "", // 代理委托书
                "country": "", // 申请人国籍
                "dutyName": "", // 负责人姓名
                "contactsName": "", // 联系人姓名
                "email": "", // 联系人邮箱
                "mailCode": "" // 邮政编码
            },
            "trademarkRejInfo": { //商标驳回信息
                "noticeDate": "2017-01-01", // 收到通知书日期
                "noticeMode": "电子版", // 收到通知的方式: 电子版 纸质版
                "zhichanNumber": "", // 知识产权局发文号
                "rejNotice": "", // 商标驳回通知书
                "quotedTrademark": "" // 引证商标
            },
            "askForData": { //复审证据材料
                "isNeedSup": 0, // 是否需要补充材料: 0 否 1 是
                "division": 0, // 是否分割
                "rrlb": " ", // 评审需求与法律依据
                "far": "", // 主要的事实与理由
                "farDir": "", // 事实与理由 文件
                "divisionDir": "", // 分割申请书
                "explain": "", // 其他有关说明文件
                "rmLicense": "", //与原代理解除关系声明书
                "evidenceDir": "", // 证据目录 文件
                "evidenceCon": "", // 证据内容 文件
                "evidenceSend": "", // 送达证据 文件
            },
            "supData": { //N 补充材料 
                "dir": "", //N 补充证据目录
                "con": "", //N 补充证据内容
            },
            "deliveryStatusName": "待完善材料"
            "recDate":"",//N 接单时间
            "askforDate":""//N 递交时间
        }
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，否则失败
        "msg": "success",
        "data": null,
        "requestId": "2f90fad8108b4933bb97c3d978b0fe10"
    }
```


## **<a name="getReOrderList"> 商标驳回列表</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/tmReview/springBoard/]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getReOrderList
``` javascript
    {  
    	"orderNo":"TM22202007201510hzO7",// N 单号
    	"askforId":"",// N 申请码
    	"applicantName":"",// N 申请人
        "status":"",// N 订单状态
        "pageIndex":1,// Y 当前页{   
        "pageSize":20,// Y 每页大小，最大为50
        "startTime": "2019-10-27",// N 开始时间
        "entTime": "2019-10-31"// N 结束时间
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "orderNo": "TM22202007201510hzO7",
                "askforId": "212837219878182374",
                "tradeType": "02",
                "tradeImg": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",
                "applicantName": null,
                "deliveryStatusName": "待完善材料",
                "deliveryUpdated": null
            }
        ],
        "dataCount": 1,//总数
        "requestId": "8f2ad2d444bc4b27bdc7811ef1041a00"
    }
```


## **<a name="getOfficalList"> 官文列表</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/tmReview/springBoard/]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getOfficalList
``` javascript
    {
        "orderNo":'',// N 订单号
        "askforId":'',// N 申请号
        "applicantaName":'',// N 申请人
        "fileType":'',// N 官文类型
        "pageIndex":1,// Y 当前页{   
        "pageSize":20,// Y 每页大小，最大为50
        "startTime": "2019-10-27",// N 开始时间
        "entTime": "2019-10-31"// N 结束时间        
    }
```


#### 返回结果
``` javascript
    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                dir:""//官文文件地址
                askforId:'',//申请号
                tradeType:'',//类别
                tradeImg:"",//图样
                applicantaName:'',//申请人
                fileType:'',//官文类型
                received_at:''//接收时间 dateTime 
            }
        ],
        "dataCount": 1,//总数
        "requestId": "8f2ad2d444bc4b27bdc7811ef1041a00"
    }
```


## **<a name="getPDFInfo"> 根据驳回通知书获取内容</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/tmReview/springBoard/]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getPDFInfo
``` javascript
    {
        url:"" //文件链接       
    }
```


#### 返回结果
``` javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "address": "浙江省杭州市江干区太平门直街260号三新银座1521室",//通信地址
            "applicant": "中艺联合文化产业有限公司",   //申请人
            "msg_number": "TMZC40902560BHTZ01"     //发文号
        },
        "requestId": "8f2ad2d444bc4b27bdc7811ef1041a00"
    }
```


## **<a name="composeDocAndDownload"> 合成事实与理由文件模板 docx</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/tmReview/springBoard/]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：composeDocAndDownload
``` javascript
    {
        applicantName:"上海融合元储能源有限公司",// Y 申请人
        askforId:"43377567",// Y 申请号
        addr:"上海市宝山区毛家路31号12幢J002室",// Y 通信地址
        dutyName:"李先生",// Y 负责人
        duty:"法定代表人",// Y 职务
        tradeType:"9",// Y 商标类别
        tradeImg:"http://43.247.184.94:7170/Img/000/433/775/67A/47e38539-e30b-40ef-ac2c-45d6dd51e982.jpg",// Y 商标图样url
        isNeedSup:"否",// Y 是否补充证据 '是' '否'
        docNo:"TMZC43377567BHTZ01",// Y 发文号
        "nclexist": [// Y 小类
                {
                    "code": "0914",
                    "small_name": "能源管理用电气控制设备"
                },
                {
                    "code": "0922",
                    "small_name": "电动运载工具用充电站"
                },
                {
                    "code": "0922",
                    "small_name": "电池充电器"
                },
                {
                    "code": "0922",
                    "small_name": "机动车辆用充电装置"
                },
                {
                    "code": "0922",
                    "small_name": "电池"
                },
                {
                    "code": "0922",
                    "small_name": "为电动车辆提供动力的充电电池"
                },
                {
                    "code": "0922",
                    "small_name": "移动电源（可充电电池）"
                },
                {
                    "code": "0922",
                    "small_name": "锂离子电池"
                },
                {
                    "code": "0922",
                    "small_name": "电池充电装置"
                },
                {
                    "code": "0922",
                    "small_name": "蓄电池箱"
                }
            ]
    }
```


#### 返回结果
``` javascript
    {
        "status": 0,
        "msg": "操作成功",
        "data": {
            "word_url": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/tm_word_19832220200731232803.docx"
        },
        "bizmsg": "empty",
        "requestId": "f042cdb1ad6f4df5a5edfd0bbbbdc024"
    }
```


## **<a name="getEntrustDoc"> 合成委托申请书模板 docx</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/tmReview/springBoard/]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getEntrustDoc
``` javascript
    {
        "applyName": "上海融合元储能源有限公司",//申请人
        "addr": "上海市宝山区毛家路31号12幢J002室",//通信地址
        "name": "李先生",//负责人
        "duty": "法定代表人",//职务
        "type": "9",//商标类别
        "tm_name": "http://43.247.184.94:7170/Img/000/433/775/67A/47e38539-e30b-40ef-ac2c-45d6dd51e982.jpg",//商标图样
        "num": "43377567"//申请号
    }
```

#### 返回结果
``` javascript
    {
      "data": {
        "word_url": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/tm_word_39048220200804205833.docx"
      },
      "msg": "success",
      "status": 1
    }
```
