<a name="menu" href="/doc">返回主目录</a>
1. [短信验证码](#smsCode)
1. [密码登录](#pwdLogin)
1. [验证码登录](#userPinByLgoinVcode)
1. [用户注册](#userPinByRegister)
1. [按照手机号和验证码修改密码](#putUserPwdByMobile)
1. [按照验证码修改手机号、邮箱](#putUserMobileByVcode)
1. [获取用户登录信息](#getLoginInfo)
1. [退出](#logout)
1. [飞书登录](#feishuLogin)

## **<a name="smsCode"> 短信验证码</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getVerifyCode

``` javascript
    {
        "mobile":"15010929366" // Y 手机号
    }
```

#### 返回结果
```javascript
    {
        "status": 0, // 0为成功，否则失败
        "msg": "success",
        "data": null,
        "requestId": "4f3ea2afee3542f88d6b938394af84d8"
    }
```


## **<a name="pwdLogin"> 帐号密码登录</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`getVerifyCode
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：userPinByLgoin

``` javascript
    {
        "userName":"15010929366", // Y 用户名
        "password":"123456"    // Y 密码
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，2010为账户或密码错误，2060为重复登录，否则失败
        "msg": "success",
        "data": {
            "userpin": "230ecdf3333944ff834f56fba10a02aa" //用户登录后的凭证，增、删、改、查、涉及用户的需要传递此值在请求头中
        },
        "requestId": "1b12b0e9c190436da000386ddf693c8f"
    }
```


## **<a name="userPinByLgoinVcode"> 验证码登录</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：userPinByLgoinVcode
``` javascript
    {
        "mobile":"15010929366", // Y 手机号
        "vcode":"593555"   //  Y 验证码
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，2030为验证码错误，2060为重复登录，否则失败
        "msg": "success",
        "data": {
            "userpin": "230ecdf3333944ff834f56fba10a02aa" //用户登录后的凭证，增、删、改、查、涉及用户的需要传递此值在请求头中
        },
        "requestId": "1b12b0e9c190436da000386ddf693c8f"
    }
```


## **<a name="userPinByRegister"> 用户注册</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：userPinByRegister
``` javascript
    {
        "mobile":"15010929366", // Y 手机号
        "vcode":"593555",   //  Y 验证码
        "password":"123456" // Y 密码
    }
```

#### 返回结果
``` javascript
    {
        "status": 0,// 0为成功，2030为验证码错误，2000为已经存在此用户，注册失败，否则失败
        "msg": "success",
        "data": {
            "userpin": "230ecdf3333944ff834f56fba10a02aa" //用户登录后的凭证，增、删、改、查、涉及用户的需要传递此值在请求头中
        },
        "requestId": "1b12b0e9c190436da000386ddf693c8f"
    }
```


## **<a name="putUserPwdByMobile"> 按照手机号和验证码修改密码(修改后得重新登录)</a>**

[返回到目录](#menu)

##### URL

[/web/auth/accessAuth/springBoard]

#### 参数格式  `JSON`

#### HTTP请求方式 `POST`

#### 渠道执行的类型 actionType：putUserPwdByMobile
``` javascriptgetVerifyCode

    {

        "mobile":"15010929366", // Y 手机号

        "vcode":"593555",   //  Y 验证码

        "newPwd":"123456" // Y 新密码

    }

```


#### 返回结果
``` javascript

    {

        "status": 0,//  0为成功，2030为验证码错误，否则失败

        "msg": "success",

        "data": null,

        "requestId": "1b12b0e9c190436da000386ddf693c8f"

    }

```

## **<a name="putUserMobileByVcode"> 根据验证码修改手机号、邮箱</a>**
[返回到目录](#menu)
##### URL
[/web/auth/accessAuth/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：putUserMobileByVcode

``` javascript
    {
        "newMobile":"15010929366", // N 手机号
        "vcode":"593555",   //  Y 验证码
        "email":"123456" // Y 邮箱
    }

```

#### 返回结果
```javascript
{
    "status": 0,//  0为成功，2030为验证码错误，否则失败
    "msg": "success",
    "data": null,
    "requestId": "1b12b0e9c190436da000386ddf693c8f"

}

```


## **<a name="logout"> 退出</a>**

[返回到目录](#menu)

##### URL

[/web/auth/accessAuth/springBoard]

#### 参数格式  `JSON`

#### HTTP请求方式 `POST`

#### 渠道执行的类型 actionType：logout
``` javascript

    {

        "userpin":"15010929366" //  Y 用户登录凭证key

    }

```

#### 返回结果
``` javascript

    {

        "status": 0,// 0为成功，否则失败

        "msg": "success",

        "data": null,

        "requestId": "1b12b0e9c190436da000386ddf693c8f"

    }

```


## **<a name="getLoginInfo"> 获取用户登录信息</a>**

[返回到目录](#menu)

##### URL

[/web/auth/accessAuth/springBoard]

#### 参数格式  `JSON`

#### HTTP请求方式 `POST`

#### 渠道执行的类型 actionType：getLoginInfo
``` javascript

    {

        "userpin":"15010929366" //  Y 用户登录凭证key

    }

```

#### 返回结果
``` javascript

    {
        "status": 0,// 0为成功，否则失败
        "msg": "success",
        "data": {
            "id": 9,
            "uapp_id": 26,
            "channel_userid": "15010929366",//渠道用户ID
            "channel_username": "15010929366",//账户
            "channel_nickname": "",
            "open_id": null,
            "head_url": null,
            "mobile": "15010929366",//手机号
            "org_name": "",
            "org_path": "",
            "email": "",
            "is_admin": 0,//是否管理员
            "is_super": 0,//是否超级管理员
            "is_enabled": 1,
            "userpin": "18c44186d54a45ea8777ef4c0a4252f6"//用户登录后的凭证key
        },
        "requestId": "ad31ced9ac7044f69f453185d9c1e241"
    }   

```

## **<a name="feishuLogin"> 飞书登录</a>**
[返回到目录](#menu)
##### URL
[http://feishu.qifu.gongsibao.com:4012/feishu/login?code={code}&state={state}&open_id={open_id}]
#### HTTP请求方式 `GET`

``` javascript
    请求参数说明 :
    code:用户飞书登录预授权码 必填
    state:前端获取的token信息 必填
    open_id:用户openid 非必填

```

#### 返回结果
``` javascript
    {
        "status":0,
        "msg":"success",
        "data":{
            "userpin":"1508e7f73efd49cda8d2bc7d2552b09b"
        }
    }
```

